Subject: Re: rare bad TCP checksum with 2.6.19?

From: Michael Tokarev <[email-masked]>
Date: Mon, 15 Jan 2007 17:25:37 +0300

Michael Tokarev wrote:
[]
> And another thing I noticed.  Right now I'm experimenting with another
> machine, running 2.6.17(.13) - it also shows similar behavior with bad
> csums, but MUCH rarer than this 2.6.19.  Like this:
> 
> 16:29:32.490976 IP (tos 0x60, ttl  48, id 14110, offset 0, flags [DF], length: 80)
>  69.42.67.34.2612 > 81.13.94.6.1234: . [bad tcp cksum f4b4 (->c1cc)!] ack 93407 win 9821
>  <nop,nop,timestamp 1046528199 5497679,nop,nop,sack sack 3 {104991:109335}{110783:112231}{104991:109335} >

This seems to be a tcpdump bug.  At least the same packet(s), on another machine
(in-between the two), with updated tcpdump, shows as having correct checksum.
After updating tcpdump on this machine, I'm not seeing this 'sack bad cksum'
stuff anymore.

/mjt